Bug 1048514

Summary: rpm-build does not require redhat-rpm-config
Product: Red Hat Enterprise Linux 7 Reporter: Gerwin Krist <gerwinkrist>
Component: rpmAssignee: Panu Matilainen <pmatilai>
Status: CLOSED CURRENTRELEASE QA Contact: Aleš Mareček <amarecek>
Severity: medium Docs Contact:
Priority: low    
Version: 7.0CC: amarecek, pmatilai, riehecky
Target Milestone: rc   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: rpm-4.11.1-12.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1122100 (view as bug list) Environment:
Last Closed: 2014-06-13 10:29:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1122100, 1199983    

Description Gerwin Krist 2014-01-04 19:30:27 UTC
Description of problem:

I tried to build an RPM with _hardened_build macro. But the binary was not fortified what so ever after an build. imho this is an security issue because you will not know if you not check it with the hardening-check script for example!

Steps to Reproduce:
1. build rpm with hardened_build macro

Actual results:
not hardened

Expected results:
[root@d-hpwtest SPECS]# hardening-check /usr/sbin/nginx
/usr/sbin/nginx:
 Position Independent Executable: yes
 Stack protected: yes
 Fortify Source functions: yes (some protected functions found)
 Read-only relocations: yes
 Immediate binding: yes

Additional info:
This one was a real hair-puller and after a couple of hours I found out that the
problem was fixed by installing redhat-rpm-config. 

The root cause is that $RPM_LD_FLAGS is empty without the config rpm.

Please add redhat-rpm-config as dep of rpm-build or something :-)

Comment 2 Thomas Woerner 2014-01-14 15:32:15 UTC
This is not am rpmdevtools issue.

Reassigning to rpm.

Comment 3 Panu Matilainen 2014-01-15 07:13:33 UTC
This is an ages old "issue" in that technically rpmbuild itself doesn't need redhat-rpm-config for anything, but its required for building "distro compatible" packages, and distro packages can also require it in other ways.

We added rpm-build -> system-rpm-config dependency in Fedora months ago, no reason we couldn't do the same on RHEL-7 as well.

Comment 5 Panu Matilainen 2014-01-16 13:46:49 UTC
rpm-build -> system-rpm-config dependency added in rpm-4.11.1-12.el7

Comment 8 Ludek Smid 2014-06-13 10:29:21 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.